org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections

## Class AbstractDiscoveryCollections

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
  - - org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture
    - - org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections.AbstractDiscoveryCollections

- Direct Known Subclasses:
    DiscoveryCollectionsCrsUri, DiscoveryCollectionsDefaultCrs, DiscoveryCollectionsStorageCrs

      public class AbstractDiscoveryCollections
      extends CommonDataFixture

  Author:
    Lyn Goltz

- - ### Field Summary

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

      `noOfCollections`

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDiscoveryCollections()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<Object[]>` | `collectionItemUris(org.testng.ITestContext testContext)`
    `Iterator<Object[]>` | `collectionsResponses(org.testng.ITestContext testContext)`
    `void` | `retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)`

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

      `createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForOtherResources, getApiModel, noOfCollections, requirementClasses, retrieveApiModel`

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `clearMessages, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDiscoveryCollections

          public AbstractDiscoveryCollections()

  - ### Method Detail

    - #### retrieveRequiredInformationFromTestContext

          public void retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)

    - #### collectionsResponses

          public Iterator<Object[]> collectionsResponses(org.testng.ITestContext testContext)

    - #### collectionItemUris

          public Iterator<Object[]> collectionItemUris(org.testng.ITestContext testContext)

Copyright © 2021 Open Geospatial Consortium. All rights reserved.